ApiCollectDiagnosticDataArguments (cloudera-manager-api-swagger 7.8.1 API)
Date: 2022-11-17

com.cloudera.api.swagger.model

## Class ApiCollectDiagnosticDataArguments

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiCollectDiagnosticDataArguments

-     @Generated(value="io.swagger.codegen.languages.JavaClientCodegen",
                 date="2022-11-17T16:22:50.425Z")
      public class ApiCollectDiagnosticDataArguments
      extends Object

  Arguments used for the collectDiagnosticData command.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiCollectDiagnosticDataArguments()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiCollectDiagnosticDataArguments` | `addRolesItem(String rolesItem)`
    `ApiCollectDiagnosticDataArguments` | `bundleSizeBytes(BigDecimal bundleSizeBytes)`
    `ApiCollectDiagnosticDataArguments` | `clusterName(String clusterName)`
    `ApiCollectDiagnosticDataArguments` | `collectCMDBDump(Boolean collectCMDBDump)`
    `ApiCollectDiagnosticDataArguments` | `comments(String comments)`
    `ApiCollectDiagnosticDataArguments` | `enableMonitorMetricsCollection(Boolean enableMonitorMetricsCollection)`
    `ApiCollectDiagnosticDataArguments` | `endTime(String endTime)`
    `boolean` | `equals(Object o)`
    `BigDecimal` | `getBundleSizeBytes()` The maximum approximate bundle size of the output file.
    `String` | `getClusterName()` Name of the cluster to collect.
    `Boolean` | `getCollectCMDBDump()`
    `String` | `getComments()` Comments to include with this data collection.
    `Boolean` | `getEnableMonitorMetricsCollection()` Flag to enable collection of metrics for chart display.
    `String` | `getEndTime()` The end time (in ISO 8601 format) of the period to collection statistics for.
    `Boolean` | `getIncludeInfoLog()` This parameter is ignored as of CM 4.5.
    `Boolean` | `getPhoneHome()` Flag to enable or disable diagnostic bundle upload to EDH.
    `List<String>` | `getRoles()` List of roles for which to get logs and metrics.
    `String` | `getStartTime()` This parameter is ignored between CM 4.5 and CM 5.7 versions.
    `String` | `getTicketNumber()` The support ticket number to attach to this data collection.
    `int` | `hashCode()`
    `ApiCollectDiagnosticDataArguments` | `includeInfoLog(Boolean includeInfoLog)`
    `ApiCollectDiagnosticDataArguments` | `phoneHome(Boolean phoneHome)`
    `ApiCollectDiagnosticDataArguments` | `roles(List<String> roles)`
    `void` | `setBundleSizeBytes(BigDecimal bundleSizeBytes)`
    `void` | `setClusterName(String clusterName)`
    `void` | `setCollectCMDBDump(Boolean collectCMDBDump)`
    `void` | `setComments(String comments)`
    `void` | `setEnableMonitorMetricsCollection(Boolean enableMonitorMetricsCollection)`
    `void` | `setEndTime(String endTime)`
    `void` | `setIncludeInfoLog(Boolean includeInfoLog)`
    `void` | `setPhoneHome(Boolean phoneHome)`
    `void` | `setRoles(List<String> roles)`
    `void` | `setStartTime(String startTime)`
    `void` | `setTicketNumber(String ticketNumber)`
    `ApiCollectDiagnosticDataArguments` | `startTime(String startTime)`
    `ApiCollectDiagnosticDataArguments` | `ticketNumber(String ticketNumber)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiCollectDiagnosticDataArguments

          public ApiCollectDiagnosticDataArguments()

  - ### Method Detail

    - #### collectCMDBDump

          public ApiCollectDiagnosticDataArguments collectCMDBDump(Boolean collectCMDBDump)

    - #### getCollectCMDBDump

          public Boolean getCollectCMDBDump()

      Returns:
        collectCMDBDump

    - #### setCollectCMDBDump

          public void setCollectCMDBDump(Boolean collectCMDBDump)

    - #### bundleSizeBytes

          public ApiCollectDiagnosticDataArguments bundleSizeBytes(BigDecimal bundleSizeBytes)

    - #### getBundleSizeBytes

          public BigDecimal getBundleSizeBytes()

      The maximum approximate bundle size of the output file. Defaults to 0.
      Returns:
        bundleSizeBytes

    - #### setBundleSizeBytes

          public void setBundleSizeBytes(BigDecimal bundleSizeBytes)

    - #### startTime

          public ApiCollectDiagnosticDataArguments startTime(String startTime)

    - #### getStartTime

          public String getStartTime()

      This parameter is ignored between CM 4.5 and CM 5.7 versions. For versions from CM 4.5 to CM 5.7, use endTime and bundleSizeBytes instead. For CM 5.7+ versions, startTime is an optional parameter that is with endTime and bundleSizeBytes. This was introduced to perform diagnostic data estimation and collection of global diagnostics data for a certain time range. The start time (in ISO 8601 format) of the period to collection statistics for.
      Returns:
        startTime

    - #### setStartTime

          public void setStartTime(String startTime)

    - #### endTime

          public ApiCollectDiagnosticDataArguments endTime(String endTime)

    - #### getEndTime

          public String getEndTime()

      The end time (in ISO 8601 format) of the period to collection statistics for.
      Returns:
        endTime

    - #### setEndTime

          public void setEndTime(String endTime)

    - #### includeInfoLog

          public ApiCollectDiagnosticDataArguments includeInfoLog(Boolean includeInfoLog)

    - #### getIncludeInfoLog

          public Boolean getIncludeInfoLog()

      This parameter is ignored as of CM 4.5. INFO logs are always collected. Whether to include INFO level logs. WARN, ERROR, and FATAL level logs are always included.
      Returns:
        includeInfoLog

    - #### setIncludeInfoLog

          public void setIncludeInfoLog(Boolean includeInfoLog)

    - #### ticketNumber

          public ApiCollectDiagnosticDataArguments ticketNumber(String ticketNumber)

    - #### getTicketNumber

          public String getTicketNumber()

      The support ticket number to attach to this data collection.
      Returns:
        ticketNumber

    - #### setTicketNumber

          public void setTicketNumber(String ticketNumber)

    - #### comments

          public ApiCollectDiagnosticDataArguments comments(String comments)

    - #### getComments

          public String getComments()

      Comments to include with this data collection.
      Returns:
        comments

    - #### setComments

          public void setComments(String comments)

    - #### clusterName

          public ApiCollectDiagnosticDataArguments clusterName(String clusterName)

    - #### getClusterName

          public String getClusterName()

      Name of the cluster to collect. If null, collects from all clusters.
      Returns:
        clusterName

    - #### setClusterName

          public void setClusterName(String clusterName)

    - #### enableMonitorMetricsCollection

          public ApiCollectDiagnosticDataArguments enableMonitorMetricsCollection(Boolean enableMonitorMetricsCollection)

    - #### getEnableMonitorMetricsCollection

          public Boolean getEnableMonitorMetricsCollection()

      Flag to enable collection of metrics for chart display.
      Returns:
        enableMonitorMetricsCollection

    - #### setEnableMonitorMetricsCollection

          public void setEnableMonitorMetricsCollection(Boolean enableMonitorMetricsCollection)

    - #### roles

          public ApiCollectDiagnosticDataArguments roles(List<String> roles)

    - #### addRolesItem

          public ApiCollectDiagnosticDataArguments addRolesItem(String rolesItem)

    - #### getRoles

          public List<String> getRoles()

      List of roles for which to get logs and metrics. If set, this restricts the roles for log and metrics collection to the list specified. If empty, the default is to get logs for all roles (in the selected cluster, if one is selected). Introduced in API v10 of the API.
      Returns:
        roles

    - #### setRoles

          public void setRoles(List<String> roles)

    - #### phoneHome

          public ApiCollectDiagnosticDataArguments phoneHome(Boolean phoneHome)

    - #### getPhoneHome

          public Boolean getPhoneHome()

      Flag to enable or disable diagnostic bundle upload to EDH. If not set, the PHONE_HOME setting decides whether the bundle will get uploaded or not.
      Returns:
        phoneHome

    - #### setPhoneHome

          public void setPhoneHome(Boolean phoneHome)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2022. All rights reserved.